import 'package:flutter/material.dart';
import 'package:thesis_shop/route_key.dart';

class CartButton extends StatelessWidget {
  const CartButton({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ElevatedButton.icon(
      onPressed: () => Navigator.of(context).pushRouteKey(RouteKey.cart),
      icon: const Icon(Icons.shopping_basket),
      label: const Text('Warenkorb (3 Produkte)'),
    );
  }
}
